%define upstream_name	 Crypt-OpenSSL-Bignum
%define upstream_version 0.06

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4
Summary:	%{upstream_name} module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	openssl-devel
BuildRequires:	perl-devel


%description
A Perl interface to OpenSSL's multiprecision integer arithmetic libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%{__make} test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.60.0-4pclos2017
- rebuild against updates

